<?php header('Content-Type: text/html; charset=UTF8');
	session_start();

	if($_POST) 
	{ 
		$keys_post = array_keys($_POST); 
		foreach ($keys_post as $key_post) 
		{ 
			$$key_post = $_POST[$key_post]; 
			//error_log("variable $key_post viene desde $ _POST"); 
		} 
	} 
		
	if($_GET) 
		{ 
		$keys_get = array_keys($_GET); 
		foreach ($keys_get as $key_get) 
		{ 
		$$key_get = $_GET[$key_get]; 
		//error_log("variable $key_get viene desde $ _GET"); 
		} 
	}	
	require_once("../../conexion/sb_conexion.php");



	function datosSucursal(){
		
		
		$bd=Db::getInstance();
	
	
		$resultado = array(); 
		$codigo = "";
		$nombre = "";
		
			
		
		/*Creamos la consulta*/
		$sql=	"select Codigo_Sucursal,Nombre_Sucursal
								from sb_sucursal_lista where Codigo_Empresa_Sucursal='".$_SESSION["ss_empresa"]."' and
								Activo_Sucursal='S'  ";
	
	//	echo $sql."<br>"; 					//DEBUG SQL
		
		/*Ejecutamos la query*/
		$stmt=$bd->ejecutar($sql);
		
		/*Realizamos un bucle para ir obteniendo los resultados*/
		while ($fila=$bd->obtener_fila($stmt,0)){
			$resultado[] = $fila;
		}
		
		$contResul = count($resultado);
		
		for($i=0; $i<=(int)$contResul;$i++){
			if(!empty($resultado[$i][0])){
				
				if(((int)$i)!=((int)$contResul)){
					$num = "{num : '".($i+1)."', ";
					$codigo = "codigo : '". $resultado[$i][0]."', ";
					$nombre = "nombre : '". $resultado[$i][1]."'},";
					
				}
				else if(((int)$i)>=((int)$contResul)) {
					$num = "{num : '".($i+1)."', ";
					$codigo = "codigo : '". $resultado[$i][0]."', ";
					$nombre = "nombre : '". $resultado[$i][1]."'}";
					
				} 
			} else {
					
					$num = "{num : '".($i+1)."', ";
					$codigo = "codigo : '". $resultado[$i][0]."', ";
					$nombre = "nombre : '". $resultado[$i][1]."'}";
					
					
				
				
			}
			$cadena =  $num.$codigo.$nombre;
			echo $cadena;
		}

	

	}
	 
//	 echo funcionariosCM(1)."<br>";
	
	
	
?>